Bug 113922 - gnome-im-switcher giving gconf error
gnome-im-switcher giving gconf error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Yu Shao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-20 02:09 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-17 02:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-01-20 02:09:39 EST
Description of problem:
The gnome-im-switcher applet doesn't seem to run,
but instead is giving a gconf error.

Version-Release number of selected component (if applicable):
iiimf-gtk-11_4-4

How reproducible:
every time

Steps to Reproduce:
% /usr/libexec/gnome-im-switcher-applet
  
Actual results:
                                                                     
          
(gnome-im-switcher-applet:18288): GConf-CRITICAL **: file
gconf-client.c: line 546 (gconf_client_add_dir): assertion
`gconf_valid_key (dirname, NULL)' failed


Expected results:
No errors and running applet in panel.
Comment 1 Jens Petersen 2004-01-27 19:45:12 EST
The following needs to be added to "%post -n iiimf-gtk"

GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2
--makefile-install-rule /etc/gconf/schemas/gnome-im-switcher.schemas >
/dev/null
Comment 2 Akira TAGOH 2004-01-28 04:12:27 EST
HOME=/root is also necessary because of avoiding the permission issue
when the package is installing by such as sudo. if HOME sets non-root
home directory, people won't access his/her ~/.gconf after that.
Comment 3 Lawrence Lim 2004-02-12 19:15:29 EST
I have the gnome-im-switcher working without setting up the 
environment for GCONF in both fc-1 and fc-2.  
 
 
Comment 4 Jens Petersen 2004-02-16 07:18:56 EST
Lawrence it crashes for me reproducibly whenever I press
Button-1 on the applet without having installed the gconf
schema: so I think this really needs to be added.
Comment 5 Yu Shao 2004-02-16 22:12:42 EST
im-sdk-11.4-11
Comment 6 Jens Petersen 2004-02-17 02:08:56 EST
Thanks.
Comment 7 Hong-I Ng 2004-07-10 09:08:10 EDT
Please forgive me for bringing this up again. I've searched for a long
time for solution but to no avail... I have the same error, i.e.,
gnome-im-switcher-applet outputs the error message mentioned above and
no applet appears in my panel. May I know how do I add
GCONF_CONFIG_SOURCE to "%post -n iiimf-gtk" please? THanks in advance.
Comment 8 Jens Petersen 2004-07-13 03:30:58 EDT
Hong-I Ng, what is the version and release of iiimf you're using?
Comment 9 Suraj Kurapati 2004-08-15 13:24:51 EDT
I am using Fedora Core 2 stable release and have the same problem as
the original bug reporter except that the line number in the error
output has changed:


(gnome-im-switcher-applet:6821): GConf-CRITICAL **: file
gconf-client.c: line 547 (gconf_client_add_dir): assertion
`gconf_valid_key (dirname, NULL)' failed


I have tried the solutions in "Additional Comments" #1, #2, and #5 but
they have not fixed the problem.

I have the following IIIMF related packages installed:
iiimf-protocol-lib-11.4-46.1.svn1587
iiimf-client-lib-11.4-46.1.svn1587
iiimf-server-11.4-46.1.svn1587
iiimf-protocol-lib-devel-11.4-46.1.svn1587
iiimf-csconv-11.4-46.1.svn1587
iiimf-le-unit-11.4-46.1.svn1587
iiimf-client-lib-devel-11.4-46.1.svn1587
iiimf-gtk-11.4-46.1.svn1587

I have the following GNOME related packages installed:
gnome-python2-gtkhtml2-2.0.0-4.1
gnome-python2-2.0.0-4.1
openssh-askpass-gnome-3.6.1p2-34
gnome-pilot-2.0.10-6.1
libgnomeprint22-2.6.0-1
gnome-themes-2.6.0-2
gnome-utils-2.6.0-2
gnome-applets-2.6.2.1-1
gnome-mime-data-2.4.1-4
gnome-keyring-0.2.0-1
libgnomecanvas-2.6.0-1
libgnomeui-2.6.0-3
gnome-spell-1.0.5-4.1
gnome-panel-2.6.0-9
libgnomeprintui22-2.6.0-1
gnome-icon-theme-1.2.0-1
gnome-vfs2-smb-2.6.0-8
gnome-audio-1.4.0-7
gnome-mag-0.10.10-2
libgail-gnome-1.0.2-3.1
gnome-system-monitor-2.6.0-3
gnome-vfs-extras-0.2.0-8.1
gnome-media-2.6.0-1
libgnome-2.6.0-3
gnome-session-2.6.0-4
gnome-vfs2-2.6.0-8
gnome-python2-bonobo-2.0.0-4.1
gnome-python2-canvas-2.0.0-4.1
libgnomecups-0.1.6-7
gnome-desktop-2.6.0.1-1
up2date-gnome-4.3.19-1
gnome-user-docs-2.6.0.1-2
gnome-terminal-2.6.0-2
gnome-vfs-1.0.5-18

Thanks in advance.
Comment 10 Jens Petersen 2004-08-16 01:03:13 EDT
I just tried again on a FC2 box with iiimf-gtk-11.4-46.1.svn1587.

Does the applet not appear for you when you start a gtk2
application (eg gnome-terminal or gedit say) using iiim?
Comment 11 Suraj Kurapati 2004-08-17 22:54:33 EDT
Yes, the applet does not appear even when running gedit and
gnome-terminal. 

I had recently reinstalled a fresh copy of FC2 and am noticing that
many of the international fonts, such as the Chinese Traditional font,
do not appear in the gnome-terminal. I suppose that I had forgotten to
install these font packages during the reinstallation. 

Could this be what is affecting the gnome-im-switcher-applet?
Comment 12 Jens Petersen 2004-08-18 22:38:24 EDT
Possibly.

Could you give focus to the gnome panel and try to tab through
the applets to see if there is one that is invisible?
Comment 13 Suraj Kurapati 2004-08-19 01:17:21 EDT
The only invisible applet that I am able to give focus to is the
"Window List" applet. This happens both before and after adding the
gnome-im-switcher-applet to the GNOME panel. 

Also, when I add the switcher-applet to the GNOME panel, the focus
indicator in the panel disappears momentarily and returns to the
widget that had focus before the adding. From this, it seems that the
switcher-applet succeeded in attatching itself to the panel before it
crashed.
Comment 14 Suraj Kurapati 2004-08-21 00:47:30 EDT
In the mean time, is there some way to change the IM language in the
terminal, say, via the 'gconftool-2' program?

Thanks.
Comment 15 Suraj Kurapati 2004-08-21 02:55:58 EDT
Allright, the applet magically appears in my primary Panel when I:
(1) log out of GNOME, 
(2) log into GNOME, and then 
(3) run the following command in a terminal:

LANG="ja_JP.UTF-8" GTK_IM_MODULE=iiim gedit

However, some unwanted behavior still persists:
(a) After step (2), 
  trying to add the applet to a Panel does not work. 

(b) After step (3), 
  without closing 'gedit',
  removing the applet and then 
  adding it to the Panel does not work.

(c) After step (3), 
  closing 'gedit', 
  removing the applet, and then 
  adding it to the Panel does not work.

After step (b) XOR (c), 
  running step (3) does not make the applet appear.
Comment 16 Jens Petersen 2004-08-21 05:24:07 EDT
Suraj, er, what locale are you using for your gnome session?
Comment 17 Suraj Kurapati 2004-08-21 14:22:31 EDT
$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
Comment 18 Jens Petersen 2004-08-22 02:50:43 EDT
iiimf is off by default for non-Asian locale...

What you want to do put

XIM=htt

in your ~/.i18n or /etc/sysconfig/i18n file.
Comment 19 Suraj Kurapati 2004-08-22 15:02:33 EDT
After implementing your solution, the applet now appears automatically
upon GNOME login. :-)

However, some problems still persist:

  After logging in, if I remove the applet from the Panel and try to
add it again, the applet crashes just as before.

  Whenever I choose a non "English" menu item from the applet's menu,
the applet's text does not change to reflect my selection. For
example, when I select the "Hindi" menu item, the applet still
displays "English".
Comment 20 Suraj Kurapati 2004-08-22 15:09:24 EDT
Whoops, my mistake. Please disregard the second problem reported in my
previous post #19.
Comment 21 Jens Petersen 2004-08-23 03:42:40 EDT
Ok if you find other problems please file them in separate
bug reports.  BTW Gimlet is going to see a lot of improvements
in FC3. :)

Note You need to log in before you can comment on or make changes to this bug.